aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/ijar/test/ijar_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/ijar/test/ijar_test.sh')
-rwxr-xr-xthird_party/ijar/test/ijar_test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/third_party/ijar/test/ijar_test.sh b/third_party/ijar/test/ijar_test.sh
index 174d35cab1..6f1a241df9 100755
--- a/third_party/ijar/test/ijar_test.sh
+++ b/third_party/ijar/test/ijar_test.sh
@@ -68,6 +68,8 @@ INVOKEDYNAMIC_JAR=$IJAR_SRCDIR/test/libinvokedynamic.jar
INVOKEDYNAMIC_IJAR=$TEST_TMPDIR/invokedynamic_interface.jar
METHODPARAM_JAR=$IJAR_SRCDIR/test/libmethodparameters.jar
METHODPARAM_IJAR=$TEST_TMPDIR/methodparameters_interface.jar
+SOURCEDEBUGEXT_JAR=$IJAR_SRCDIR/test/source_debug_extension.jar
+SOURCEDEBUGEXT_IJAR=$TEST_TMPDIR/source_debug_extension.jar
#### Setup
@@ -504,4 +506,15 @@ function test_method_parameters_attribute() {
expect_log "MethodParameters" "MethodParameters not preserved!"
}
+function test_source_debug_extension_attribute() {
+ # Check that SourceDebugExtension attributes are dropped without a warning
+ $IJAR $SOURCEDEBUGEXT_JAR $SOURCEDEBUGEXT_IJAR >& $TEST_log || fail "ijar failed"
+ expect_not_log "skipping unknown attribute"
+ $JAVAP -classpath $SOURCEDEBUGEXT_IJAR -v sourcedebugextension.Test >& $TEST_log \
+ || fail "javap failed"
+ expect_not_log "SourceDebugExtension" "SourceDebugExtension preserved!"
+}
+
+SOURCEDEBUGEXT_JAR=$IJAR_SRCDIR/test/source_debug_extension.jar
+
run_suite "ijar tests"